python-pyip_0.7-2_all.deb


Advertisement

Description

python-pyip - Python modules for raw ip packet assembling/disassembling

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Universe amd64
Package name python-pyip
Package version 0.7
Package release 2
Package architecture all
Package type deb
Installed size 88 B
Download size 14.22 KB
Official Mirror archive.ubuntu.com
pyip is a Python package offering modules to assemble/disassemble
raw ip packets, including ip, udp, and icmp. The package comes with
an implementation of ping and traceroute, using the raw ip modules.

Alternatives

Package Version Architecture Repository
python-pyip_0.7-2_all.deb 0.7 all Ubuntu Universe
python-pyip - - -

Requires

Name Value
python << 2.8
python >= 2.7

Download

Type URL
Binary Package python-pyip_0.7-2_all.deb
Source Package pyip

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-pyip deb package:
    # sudo apt-get install python-pyip

Files

Path
/usr/lib/python2.7/dist-packages/icmp.py
/usr/lib/python2.7/dist-packages/inetutils.py
/usr/lib/python2.7/dist-packages/ip.py
/usr/lib/python2.7/dist-packages/ping.py
/usr/lib/python2.7/dist-packages/pyip-0.7.egg-info
/usr/lib/python2.7/dist-packages/traceroute.py
/usr/lib/python2.7/dist-packages/udp.py
/usr/share/doc/python-pyip/changelog.Debian.gz
/usr/share/doc/python-pyip/copyright

Changelog

2014-08-31 - Andrew Starr-Bochicchio <asb@debian.org>
pyip (0.7-2) unstable; urgency=low
* Team upload.
[ Bernd Zeimetz ]
* debian/control:
- Adding Homepage field, removing pseudo-field from description
- Rename XS-Vcs-* fields to Vcs-* (dpkg supports them now) Closes: #615361
- Updating my email address.
[ Sandro Tosi ]
* debian/control
- uniforming Vcs-Browser field
* debian/control
- switch Vcs-Browser field to viewsvn
[ Jakub Wilk ]
* Use canonical URIs for Vcs-* fields.
[ Andrew Starr-Bochicchio ]
* Convert from python-support to dh_python2.
* Bump Standards-Version to 3.9.5.
* Update debian/watch file.
2007-07-12 - Bernd Zeimetz <bernd@bzed.de>
pyip (0.7-1) unstable; urgency=low
* Initial release (Closes: #432751)

See Also

Package Description
python-pyisomd5sum_1.1.0-1build1_amd64.deb ISO9660 checksum Python module
python-pyjavaproperties_0.6-2.1_all.deb Python implementation of java.util.Properties
python-pykaraoke_0.7.5-1.1_amd64.deb free CDG/MIDI/MPEG karaoke player
python-pykdtree_0.2-1_amd64.deb Fast kd-tree implementation with OpenMP-enabled queries
python-pykickstart_1.83-2_all.deb Python library for manipulating kickstart files
python-pykka_1.2.1-2_all.deb Actor model library for Python (Python 2)
python-pykmip_0.4.0-2_all.deb implementation of the Key Management Interoperability Protocol - Python 2.x
python-pyknon_1.0-1_all.deb Simple Python music library
python-pylast_1.0.0-1_all.deb Python interface to Last.fm and other compatible services
python-pyld_0.6.8-1_all.deb implementation of the JSON-LD API
python-pylibmc-doc_1.5.0-4build1_all.deb libmemcached wrapper (Documentation)
python-pylibmc_1.5.0-4build1_amd64.deb libmemcached wrapper
python-pylint-celery_0.3-1_all.deb Pylint plugin for code using the Celery library
python-pylint-common_0.2.2-1_all.deb Pylint plugin for the standard Python library
python-pylint-django_0.7.1-1_all.deb Pylint plugin for analysing code using Django (Python 2)
Advertisement
Advertisement